=== _src/beid-2.6/src/eidlib/test/Makefile ===
all:
	g++ -o test test.o -lbeid

test.o: test.cpp
	g++ -c test.cpp -I/usr/local/include/beid
