=== debian/changelog ===
beid (3.5.2.dfsg-10) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/0005-Fix-compilation.patch:
    Add missing includes, should fix some FTBFS (Closes: #586673)
  * debian/libbeidlibopensc2-dev.install:
    Do not install files already installed by other packages (Closes: #575196)
  * debian/control: Add Homepage field
  * Move usr/bin/beiddialogsQTsrv in libbeidlib3 package to break circular
    dependency (Closes: #586263)
  * Fix some paths related to libbeidpkcs11.so (Closes: #587260)

  [ Wouter Verhelst ]
  * Remove references to libbeidpkcs11 from libbeidlib3-dev. These are
    never linked to, anyway.
  * Include the .so symlink rather than the .so.3 one in beid-mozilla-plugin,
    since that's what the register.html file refers to; and SONAMEs aren't
    as important for browser plugins, anyway.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 27 Jun 2010 16:23:03 +0200

beid (3.5.2.dfsg-9) unstable; urgency=low

  * Disable parallel build support for now

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 Jun 2010 23:52:25 +0200

beid (3.5.2.dfsg-8) unstable; urgency=low

  [ Wouter Verhelst ]
  * Clean up .diff.gz; remove a few stray files that don't belong there
    in the first place, and the leftovers of a half-finished
    autotools-based build that I worked on.
  * libbeidlibopensc2.prerm: remove, no longer needed
  [ Philip Richardson ]
  * debian/rules: adding missing files and folders for binaries creation 
  * beidgui: adding missing desktop menu icon (eid35.png) (Closes: #582230)
  * beidgui: photo and background image present 
  * beidgui: correct missing language menu
  * beid-mozilla-plugin: pkcs11 works in x86_64
    (contrib from david carliez in svn upstream r290)
  [ Laurent Bigonville ]
  * debian/control:
    - Add ${misc:Depends} dependency for all package
    - Bump Standards-Version to 3.8.4
    - Add Vcs-Git and Vcs-Browser fields
    - Add Section in source stanza and remove unneeded one
    - Add myself as Uploaders
    - beid-common package also replaces file from libbeidlibopensc2 (<< 3.5.2)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/gbp.conf: Add gbp config file
  * debian/rules:
    - Only backup and restore _src/eidmw/jar/beid35libJava.jar
      instead of removing it on clean
    - Do not ignore make distclean errors
    - Really strip rpath from all executables
  * debian/patches/0009-Fix-.desktop-file-syntax.patch:
    Fix .desktop file syntax

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Jun 2010 20:26:09 +0200

beid (3.5.2.dfsg-7) unstable; urgency=low

  * debian/rules: define NUMJOBS in all cases
  * debian/rules: remove -j argument to scons; apparently that's buggy
    in the current scons version (sigh)
  * debian/rules: explicitly chmod +x configure, since patch doesn't care for
    permission bits.
  * debian/rules: create the doxygen output directory (Closes: #573672)

 -- Wouter Verhelst <wouter@debian.org>  Sat, 13 Mar 2010 01:38:56 +0100

beid (3.5.2.dfsg-6) unstable; urgency=low

  * libbeidlib3-dbg: remove. The upstream build system "helpfully"
    already strips for us. We'll investigate and fix that later, but for
    now, shipping an empty -dbg package is less than useful.

 -- Wouter Verhelst <wouter@debian.org>  Sat, 27 Feb 2010 21:55:01 +0100

beid (3.5.2.dfsg-5) unstable; urgency=low

  * Make the code compile with g++-4.4. Sigh. It still has plenty of
    warnings; I'm not here to make it pretty, only to make it work.
  * I did not add a section, since I'll likely guess wrong, and
    it's ftp-master's job to place this stuff in a section, anyway.
    That's what Joerg Jaspert told me, too, so there ;-P (Closes: #570113)
  * Target unstable rather than experimental. There were issues in the
    past, but I can't reproduce them now. Presumably something was fishy
    with QT during debconf.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 16 Feb 2010 18:05:11 +0100

beid (3.5.2.dfsg-4) experimental; urgency=low

  * Build with -sa. Oops.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 03 Dec 2009 17:47:47 +0100

beid (3.5.2.dfsg-3) experimental; urgency=low

  * Really remove .dll and .exe files, this time. I'd extracted the
    .orig.tar.gz, removed the files from the .orig directory and the
    build directory, and then forgot to remove the .orig.tar.gz --
    resulting in dpkg-source not rebuilding it, since it's already
    there. Oops.
  * Also remove _src/eID-QuickInstaller/ReaderDrivers/, since that
    contains binaries that are not part of this source (they're likely
    still open source; but if they are, their source would be in
    libacr38u's source package rather than here, and I'd rather not have
    to deal with such a mess).

 -- Wouter Verhelst <wouter@debian.org>  Wed, 02 Dec 2009 10:07:38 +0100

beid (3.5.2.dfsg-2) experimental; urgency=low

  * Remove built .dll and .exe files from the source, to make
    ftp-masters happy. The source of these files is right next to them,
    they can be built from this source, and are provided by upstream
    only as a convenience; but no, we don't really need them and can
    kick them out; and since we 'need' to remove the .PDF anyway, why
    not go all the way. I still think it's silly, but whatever -- and
    yes, that does mean I'll keep removing them in the future, at least
    if they're still in future archives (I might poke upstream not to do
    so).

 -- Wouter Verhelst <wouter@debian.org>  Sat, 28 Nov 2009 18:23:25 +0100

beid (3.5.2.dfsg-1) experimental; urgency=low

  * Fix previous changelog entry to add credit where credit is due for
    fix for 525593. Oops.
  * Override lintian error beid-mozilla-plugin: no-shlibs-control-file
    lintian warning beid-mozilla-plugin:
    package-name-doesnt-match-soname libbeidpkcs11-3. This is not a
    shared library, but instead is a plugin for libbeidlibopensc2 and
    mozilla browsers. It would probably be useful to put this in a

