=== debian/control ===
Source: beid
Priority: extra
Section: utils
Maintainer: Wouter Verhelst <wouter@debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 7), libpcsclite-dev, libssl-dev, scons, libqt3-mt-dev, swig, default-jdk-builddep, libqt4-dev, libxerces-c2-dev, doxygen, chrpath
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/beid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/beid.git
Homepage: http://code.google.com/p/eid-mw/

Package: libbeidlibopensc2
Section: libs
Suggests: libacr38u
Recommends: beid-tools, pcscd
Architecture: any
Depends: ${shlibs:Depends}, beid-common, ${misc:Depends}
Provides: libbelpic0
Conflicts: libbelpic0
Description: belgian eID PKCS11 library
 This package contains libbeidlibopensc, a library that is loosely based
 on libopensc with additional support for the Belgian eID card. It was
 built from the official sources as provided by Zetes Belgium on the
 Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Please read the README.Debian file for information on setting up your
 system so that it can read from smartcards.

Package: libbeidlibopensc2-dev
Architecture: any
Section: libdevel
Depends: libbeidlibopensc2 (=${binary:Version}), ${misc:Depends}
Conflicts: libopensc1-dev, libbelpic0-dev
Provides: libbelpic0-dev
Description: belgian eID PKCS11 library, development files
 This package contains the development files for libbeidlibopensc, a
 library that is loosely based on libopensc with additional support for
 the Belgian eID card. It was built from the official sources as
 provided by Zetes Belgium on the Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Install this package if you want to develop applications that use
 libbeidlibopensc directly.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeidlibopensc2-dbg
Architecture: any
Section: debug
Depends: libbeidlibopensc2 (=${binary:Version}), ${misc:Depends}
Description: belgian eID PKCS11 library, debugging symbols
 This package contains the development files for libbeidlibopensc, a
 library that is loosely based on libopensc with additional support for
 the Belgian eID card. It was built from the official sources as
 provided by Zetes Belgium on the Belgian federal website.
 .
 The OpenSC library, on which this library was based, now also contains
 support for the Belgian eID cards. However, since there are still some
 things that OpenSC chooses not to do (like showing a popup window
 without the application's interference when the user needs to enter his
 pincode), applications that want to use the Belgian eID card may have
 to use this library instead of OpenSC.
 .
 Install this package if you need the debugging symbols of
 libbeidlibopensc2
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beid-tools
Provides: belpic
Conflicts: belpic
Replaces: libbeidlibopensc2 (<< 2.5.9-2)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SmartCard utilities from the OpenSC project, compiled against libbeidlibopensc
 This package contains some of the utilities that can be found in the
 opensc package, but compiled against libbeidlibopensc rather than
 libopensc.  libbeidlibopensc is libopensc 0.8.1 with additional support
 for the Belgian eID card. See the libbeidlibopensc0 package for
 details.
 .
 The binaries in this package have all been prefixed with 'beid-', so
 as to avoid namespace conflicts with the opensc package.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libeid0
Conflicts: libeid0
Description: library to read identity information from the Belgian electronic ID card
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2-dev
Architecture: any
Section: libdevel
Depends: libbeid2 (=${binary:Version}), ${misc:Depends}
Provides: libeid0-dev
Conflicts: libeid0-dev
Description: development library to read identity information from the Belgian eID card
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 This package contains the development files for libbeid2.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: libbeid2-dbg
Architecture: any
Section: debug
Depends: libbeid2 (=${binary:Version}), ${misc:Depends}
Description: library to read identity information from the Belgian eID card (debug)
 The Belgian electronic ID card contains two types of data: on the one
 hand, there's the X.509 keys that can be used by the owner of the card
 to perform authentication and to make digital signatures; on the other
 hand, the card contains digital versions of the identity information,
 digitally signed by the government.
 .
 This library allows the user to read out the identity information, to
 verify the signature, and to verify its certificate against an online
 CRL or similar technology.
 .
 To read out the X.509 keys, please see the libbeidlibopensc2 package.
 .
 This package contains the debugging symbols for libbeid2.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beidgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: eidviewer
Conflicts: eidviewer
Description: application to read out information from the Belgian electronic ID card
 This application allows the user to read out any information from a
 Belgian electronic ID card, by using libbeid and libbeidlibopensc to
 read the data from the card and parse it. Both identity information and
 information about the stored cryptographic keys can be read in a
 user-friendly manner, and can easily be printed out or stored for later
 reviewal.
 .
 The application verifies the signature of the identity information,
 checks whether it was signed by a government-issued key, and optionally
 checks the certificate against the government's Certificate Revocation List
 (CRL) and/or by using the Online Certificate Status Protocol (OCSP) against
 the government's servers.
 .
 Please read the README.Debian file in the libbeidlibopensc2 package for
 information on setting up your system so that it can read from smartcards.

Package: beid-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: beidgui (<< 3.5.2), libbeidlibopensc2 (<< 3.5.2)
Description: beID support files
 This package contains several files that are necessary for some of the
 beID libraries to function correctly.
 .
 It has no use on its own.

Package: beid-docs
Architecture: all
Depends: ${misc:Depends}
Description: beID API documentation
 This package contains the API documentation for the various beID
 libraries. Note that it does not document the old libbeid2 and
 libbeidlibopensc2 libraries; these are only provided for backwards
 compatibility and should no longer be used for new projects.

Package: libbeidlib3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, beid-common, ${misc:Depends}
Replaces: beid-common (<< 3.5.2.dfsg-10)
Description: beID library, version 3 API
 This package contains the libraries needed to use the Belgian
 electronic ID card. These libraries were built from the official
 government source code.
 .
 In order to do anything useful with the card, you will need additional
 software, found in the packages 'beidgui' and 'beid-mozilla-plugin'.

Package: libbeidlib3-dev
Architecture: any
Section: libdevel
Depends: ${shlib:Depends}, libbeidlib3 (=${binary:Version}), ${misc:Depends}
Description: beID library, version 3 API, development package
 This package contains the files needed to compile software for the
 Belgian electronic ID card.
 .
 Please see the package beid-docs for the API documentation.

Package: beid-mozilla-plugin
Architecture: any
Replaces: libbeidlibopensc2 (<= 2.6.0), libbeidlib3-dev (<< 3.5.2.dfsg-10)
Depends: ${shlibs:Depends}, libnss3-tools, iceweasel | icedove, ${misc:Depends}
Description: beID mozilla plugin
 This package contains the mozilla smartcard plugin needed to use a
 Belgian electronic ID card to authenticate to a website.
 .
 Install this package if you want to do that.
